HAT-NONTERM(1)

NAME
hat-nonterm - finds and displays a non-termination path

SYNOPSIS
hat-nonterm [PROGNAME] [OPTION]...

DESCRIPTION
hat-nonterm is a one-shot tool for displaying a simple trace of a non-terminating program. The tool picks a function likely to be involved in the non-termination. It then displays a trace containing some number of reductions of this function. Note that the traced program must first be compiled using the Hat tracing tools, and executed to generate a trace file.

OPTIONS
Possible options are as follows:

--showqual[=(t,f)]
            control whether to show functions qualified by the name
            of their module

--cutoff=DEPTH
            subexpressions in printed expressions are cut off and
            replaced with a placeholder below a depth of DEPTH

--numfn=NUM
            control how many instances of the suspicious function
            appear on the displayed extract of the non-termination
            path

--showrt[=(t,f)]
            control whether to show the root of the search path, or
            just the path from the suspicious function instance

--srcref[=(t,f)]
            control whether to show source references for each
            expression on the path

--showcount[=(t,f)]
            control whether to show the number of accesses to the
            file nodes

--shownode[=(t,f)]
            (DEBUGGING OPTION)
            control whether to show the octal addresses of the
            expression nodes, along side the pretty-printed versions

AUTHOR
Written by Mike Dodds.

REPORTING BUGS
Report bugs to <hat@haskell.org>

COPYRIGHT
Copyright © 2004 University of York.
This is free software without warranty of any kind.

SEE ALSO
hat-nonterm is one of many tools in the Hat tracing system for Haskell programs. For further information about Hat see http://haskell.org/hat